Page MenuHomePhabricator

If unable to resolve DOI in requestFromDOI, try to retrieve metadata using crossRef
Closed, ResolvedPublic

Description

Currently if we are unable to resolve a DOI, we reject the request. As a fallback we could request the metadata from crossRef.

Event Timeline

Mvolz created this task.Jan 18 2018, 2:16 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptJan 18 2018, 2:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Mvolz triaged this task as Medium priority.Feb 1 2018, 12:57 PM

Change 430574 had a related patch set uploaded (by Mvolz; owner: Mvolz):
[mediawiki/services/citoid@master] [WIP] When doi is unresolvable, try crossref

https://gerrit.wikimedia.org/r/430574

Change 430574 merged by jenkins-bot:
[mediawiki/services/citoid@master] When doi is unresolvable, try crossref

https://gerrit.wikimedia.org/r/430574

Mentioned in SAL (#wikimedia-operations) [2018-05-17T10:12:44Z] <mobrovac@tin> Finished deploy [citoid/deploy@8a26508]: Update citoid to 2f35126 - T179123 T185217 (duration: 02m 52s)

Mvolz closed this task as Resolved.May 17 2018, 11:42 AM
Mvolz removed a project: Patch-For-Review.
Mvolz removed subscribers: Stashbot, gerritbot.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 17 2018, 11:42 AM